name='steamcmd'
version='1'
release='1'
desc='Steam Command Line Tools'
homepage='http://developer.valvesoftware.com/wiki/SteamCMD'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64, 386')
license=('custom')
provides=('steamcmd, steamerrorreporter')
conflicts=('steamcmd, steamerrorreporter')
deps_amd64=('lib32-gcc-libs')

sources=("https://steamcdn-a.akamaihd.net/client/installer/steamcmd_linux.tar.gz steamcmd")
checksums=('SKIP')

sources_amd64=("")
checksums=('SKIP')

sources_arm=("")
checksums=('SKIP')

sources_386=("")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
}

package() {
	install -Dm755 ./${name}/steamcmd "${pkgdir}/usr/bin/steamcmd"
	install -Dm755 ./${name}/steamcmd.sh "${pkgdir}/usr/share/steamcmd/steamcmd.sh"
    install -Dm755 ./${name}/linux32/crashhandler.so "${pkgdir}/usr/share/steamcmd/linux32/crashhandler.so"
    install -Dm755 ./${name}/linux32/libstdc++.so.6 "${pkgdir}/usr/share/steamcmd/linux32/libstdc++.so.6"
    install -Dm755 ./${name}/linux32/steamcmd "${pkgdir}/usr/share/steamcmd/linux32/steamcmd"
    install -Dm755 ./${name}/linux32/steamerrorreporter "${pkgdir}/usr/share/steamcmd/linux32/steamerrorreporter"
}
